Package ch.qos.logback.access.servlet

# Class TeeServletOutputStream

java.lang.Object
java.io.OutputStream
javax.servlet.ServletOutputStream
ch.qos.logback.access.servlet.TeeServletOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class TeeServletOutputStream extends javax.servlet.ServletOutputStream

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`void`
`flush()`
`boolean`
`isReady()`
`void`
`setWriteListener(javax.servlet.WriteListener listener)`
`void`
`write(byte[] byteArray)`
`void`
`write(byte[] byteArray, int offset, int length)`
`void`
`write(int val)`

### Methods inherited from class javax.servlet.ServletOutputStream

`print, print, print, print, print, print, print, println, println, println, println, println, println, println, println`

### Methods inherited from class java.io.OutputStream

`nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### write

public void write(int val) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] byteArray) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] byteArray, int offset, int length) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `OutputStream`
Throws:
  `IOException`

### flush

public void flush() throws IOException

Specified by:
  `flush` in interface `Flushable`
Overrides:
  `flush` in class `OutputStream`
Throws:
  `IOException`

### isReady

public boolean isReady()

Specified by:
  `isReady` in class `javax.servlet.ServletOutputStream`

### setWriteListener

public void setWriteListener(javax.servlet.WriteListener listener)

Specified by:
  `setWriteListener` in class `javax.servlet.ServletOutputStream`